<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_65) on Wed Jun 25 14:23:48 JST 2014 -->
<TITLE>
KeeperException.CodeDeprecated
</TITLE>

<META NAME="date" CONTENT="2014-06-25">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="KeeperException.CodeDeprecated";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.ConnectionLossException.html" title="class in org.apache.zookeeper"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?org/apache/zookeeper/KeeperException.CodeDeprecated.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="KeeperException.CodeDeprecated.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.zookeeper</FONT>
<BR>
Interface KeeperException.CodeDeprecated</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper">KeeperException.Code</A></DD>
</DL>
<DL>
<DT><B>Enclosing class:</B><DD><A HREF="../../../org/apache/zookeeper/KeeperException.html" title="class in org.apache.zookeeper">KeeperException</A></DD>
</DL>
<HR>
<B>Deprecated.</B>
<P>
<DL>
<DT><PRE><FONT SIZE="-1">@Deprecated
</FONT>public static interface <B>KeeperException.CodeDeprecated</B></DL>
</PRE>

<P>
This interface contains the original static final int constants
 which have now been replaced with an enumeration in Code. Do not
 reference this class directly, if necessary (legacy code) continue
 to access the constants through Code.
 Note: an interface is used here due to the fact that enums cannot
 reference constants defined within the same enum as said constants
 are considered initialized _after_ the enum itself. By using an
 interface as a super type this allows the deprecated constants to
 be initialized first and referenced when constructing the enums. I
 didn't want to have constants declared twice. This
 interface should be private, but it's declared public to enable
 javadoc to include in the user API spec.
<P>

<P>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#APIError">APIError</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#APIERROR"><CODE>KeeperException.Code.APIERROR</CODE></A> instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#AuthFailed">AuthFailed</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#AUTHFAILED"><CODE>KeeperException.Code.AUTHFAILED</CODE></A> instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#BadArguments">BadArguments</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#BADARGUMENTS"><CODE>KeeperException.Code.BADARGUMENTS</CODE></A>
 instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#BadVersion">BadVersion</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#BADVERSION"><CODE>KeeperException.Code.BADVERSION</CODE></A> instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#ConnectionLoss">ConnectionLoss</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#CONNECTIONLOSS"><CODE>KeeperException.Code.CONNECTIONLOSS</CODE></A>
 instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#DataInconsistency">DataInconsistency</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#DATAINCONSISTENCY"><CODE>KeeperException.Code.DATAINCONSISTENCY</CODE></A>
 instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#InvalidACL">InvalidACL</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#INVALIDACL"><CODE>KeeperException.Code.INVALIDACL</CODE></A> instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#InvalidCallback">InvalidCallback</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#INVALIDCALLBACK"><CODE>KeeperException.Code.INVALIDCALLBACK</CODE></A>
 instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#MarshallingError">MarshallingError</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#MARSHALLINGERROR"><CODE>KeeperException.Code.MARSHALLINGERROR</CODE></A>
 instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#NoAuth">NoAuth</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NOAUTH"><CODE>KeeperException.Code.NOAUTH</CODE></A> instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#NoChildrenForEphemerals">NoChildrenForEphemerals</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use
 <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NOCHILDRENFOREPHEMERALS"><CODE>KeeperException.Code.NOCHILDRENFOREPHEMERALS</CODE></A>
 instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#NodeExists">NodeExists</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NODEEXISTS"><CODE>KeeperException.Code.NODEEXISTS</CODE></A> instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#NoNode">NoNode</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NONODE"><CODE>KeeperException.Code.NONODE</CODE></A> instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#NotEmpty">NotEmpty</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NOTEMPTY"><CODE>KeeperException.Code.NOTEMPTY</CODE></A> instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#Ok">Ok</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#OK"><CODE>KeeperException.Code.OK</CODE></A> instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#OperationTimeout">OperationTimeout</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#OPERATIONTIMEOUT"><CODE>KeeperException.Code.OPERATIONTIMEOUT</CODE></A>
 instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#RuntimeInconsistency">RuntimeInconsistency</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use
 <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#RUNTIMEINCONSISTENCY"><CODE>KeeperException.Code.RUNTIMEINCONSISTENCY</CODE></A> instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#SessionExpired">SessionExpired</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#SESSIONEXPIRED"><CODE>KeeperException.Code.SESSIONEXPIRED</CODE></A> instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#SystemError">SystemError</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#SYSTEMERROR"><CODE>KeeperException.Code.SYSTEMERROR</CODE></A> instead</I></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../org/apache/zookeeper/KeeperException.CodeDeprecated.html#Unimplemented">Unimplemented</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#UNIMPLEMENTED"><CODE>KeeperException.Code.UNIMPLEMENTED</CODE></A>
 instead</I></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="Ok"><!-- --></A><H3>
Ok</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>Ok</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#OK"><CODE>KeeperException.Code.OK</CODE></A> instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.Ok">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SystemError"><!-- --></A><H3>
SystemError</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>SystemError</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#SYSTEMERROR"><CODE>KeeperException.Code.SYSTEMERROR</CODE></A> instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.SystemError">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="RuntimeInconsistency"><!-- --></A><H3>
RuntimeInconsistency</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>RuntimeInconsistency</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use
 <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#RUNTIMEINCONSISTENCY"><CODE>KeeperException.Code.RUNTIMEINCONSISTENCY</CODE></A> instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.RuntimeInconsistency">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="DataInconsistency"><!-- --></A><H3>
DataInconsistency</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>DataInconsistency</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#DATAINCONSISTENCY"><CODE>KeeperException.Code.DATAINCONSISTENCY</CODE></A>
 instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.DataInconsistency">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="ConnectionLoss"><!-- --></A><H3>
ConnectionLoss</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>ConnectionLoss</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#CONNECTIONLOSS"><CODE>KeeperException.Code.CONNECTIONLOSS</CODE></A>
 instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.ConnectionLoss">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="MarshallingError"><!-- --></A><H3>
MarshallingError</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>MarshallingError</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#MARSHALLINGERROR"><CODE>KeeperException.Code.MARSHALLINGERROR</CODE></A>
 instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.MarshallingError">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="Unimplemented"><!-- --></A><H3>
Unimplemented</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>Unimplemented</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#UNIMPLEMENTED"><CODE>KeeperException.Code.UNIMPLEMENTED</CODE></A>
 instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.Unimplemented">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="OperationTimeout"><!-- --></A><H3>
OperationTimeout</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>OperationTimeout</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#OPERATIONTIMEOUT"><CODE>KeeperException.Code.OPERATIONTIMEOUT</CODE></A>
 instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.OperationTimeout">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="BadArguments"><!-- --></A><H3>
BadArguments</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>BadArguments</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#BADARGUMENTS"><CODE>KeeperException.Code.BADARGUMENTS</CODE></A>
 instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.BadArguments">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="APIError"><!-- --></A><H3>
APIError</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>APIError</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#APIERROR"><CODE>KeeperException.Code.APIERROR</CODE></A> instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.APIError">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="NoNode"><!-- --></A><H3>
NoNode</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>NoNode</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NONODE"><CODE>KeeperException.Code.NONODE</CODE></A> instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.NoNode">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="NoAuth"><!-- --></A><H3>
NoAuth</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>NoAuth</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NOAUTH"><CODE>KeeperException.Code.NOAUTH</CODE></A> instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.NoAuth">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="BadVersion"><!-- --></A><H3>
BadVersion</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>BadVersion</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#BADVERSION"><CODE>KeeperException.Code.BADVERSION</CODE></A> instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.BadVersion">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="NoChildrenForEphemerals"><!-- --></A><H3>
NoChildrenForEphemerals</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>NoChildrenForEphemerals</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use
 <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NOCHILDRENFOREPHEMERALS"><CODE>KeeperException.Code.NOCHILDRENFOREPHEMERALS</CODE></A>
 instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.NoChildrenForEphemerals">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="NodeExists"><!-- --></A><H3>
NodeExists</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>NodeExists</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NODEEXISTS"><CODE>KeeperException.Code.NODEEXISTS</CODE></A> instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.NodeExists">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="NotEmpty"><!-- --></A><H3>
NotEmpty</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>NotEmpty</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#NOTEMPTY"><CODE>KeeperException.Code.NOTEMPTY</CODE></A> instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.NotEmpty">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="SessionExpired"><!-- --></A><H3>
SessionExpired</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>SessionExpired</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#SESSIONEXPIRED"><CODE>KeeperException.Code.SESSIONEXPIRED</CODE></A> instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.SessionExpired">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="InvalidCallback"><!-- --></A><H3>
InvalidCallback</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>InvalidCallback</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#INVALIDCALLBACK"><CODE>KeeperException.Code.INVALIDCALLBACK</CODE></A>
 instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.InvalidCallback">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="InvalidACL"><!-- --></A><H3>
InvalidACL</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>InvalidACL</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#INVALIDACL"><CODE>KeeperException.Code.INVALIDACL</CODE></A> instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.InvalidACL">Constant Field Values</A></DL>
</DL>
<HR>

<A NAME="AuthFailed"><!-- --></A><H3>
AuthFailed</H3>
<PRE>
<FONT SIZE="-1">@Deprecated
</FONT>static final int <B>AuthFailed</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I>deprecated in 3.1.0, use <A HREF="../../../org/apache/zookeeper/KeeperException.Code.html#AUTHFAILED"><CODE>KeeperException.Code.AUTHFAILED</CODE></A> instead</I><DL>
<DT><B>See Also:</B><DD><A HREF="../../../constant-values.html#org.apache.zookeeper.KeeperException.CodeDeprecated.AuthFailed">Constant Field Values</A></DL>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.Code.html" title="enum in org.apache.zookeeper"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../org/apache/zookeeper/KeeperException.ConnectionLossException.html" title="class in org.apache.zookeeper"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../index.html?org/apache/zookeeper/KeeperException.CodeDeprecated.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="KeeperException.CodeDeprecated.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;METHOD</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
